List all app redirects
Retrieves a paginated list of all redirects within the specified application, with optional filtering by type and search query
GET
/api/v1/{team_slug}/{app_slug}/redirectsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
pageintegerPage number
per-pageintegerNumber of items per page
typeintegerRedirect type, Can be one of product page collection category product_bundle brand serie campaign
searchstringSearch on old_slug and new_slug
Responses
200
Redirect List
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirectsidstringitem_idstring | nulllocalestringnew_slugstringold_slugstringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectTypeAllowed:
productpagecollectioncategoryproduct_bundlesuccessbooleantotalintegertotal_pagesinteger400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired